<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.csdevice.mapper.CsDataEffectiveMapper">
  <resultMap id="BaseResultMap" type="com.njcn.csdevice.pojo.po.CsDataEffectivePO">
    <!--@mbg.generated-->
    <!--@Table cs_data_effective-->
    <result column="project_id" jdbcType="VARCHAR" property="projectId" />
    <result column="dev_id" jdbcType="VARCHAR" property="devId" />
    <result column="register_time" jdbcType="TIMESTAMP" property="registerTime" />
    <result column="retiree_time" jdbcType="TIMESTAMP" property="retireeTime" />
    <result column="create_by" jdbcType="VARCHAR" property="createBy" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_by" jdbcType="VARCHAR" property="updateBy" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    project_id, dev_id, register_time, retiree_time, create_by, create_time, update_by, 
    update_time
  </sql>
</mapper>